KDE 4.4 PyKDE API Reference

- KDE's Python API

# ScreenGraphicsItem Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.MarbleGraphicsItem
Subclasses: Marble.FrameGraphicsItem
Namespace: Marble.ScreenGraphicsItem

## Detailed Description

## Enumerations

GraphicsItemFlag | { ItemIsMovable }

## Methods

| __init__ (self, Marble.MarbleGraphicsItem parent=0)
| __init__ (self, QPointF position, QSizeF size, Marble.MarbleGraphicsItem parent=0)
| changeViewport (self, Marble.ViewportParams viewport)
bool | eventFilter (self, QObject a0, QEvent a1)
Marble.ScreenGraphicsItem.GraphicsItemFlags | flags (self)
QPointF | position (self)
QPointF | positivePosition (self)
| setFlags (self, Marble.ScreenGraphicsItem.GraphicsItemFlags flags)
| setPosition (self, QPointF position)

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleGraphicsItem | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | QPointF | position,
|  | QSizeF | size,
|  | Marble.MarbleGraphicsItem | parent=0
| ) |  |  |

changeViewport | ( | self, |
|  | Marble.ViewportParams | viewport
| ) |  |  |

bool eventFilter | ( | self, |
|  | QObject | a0,
|  | QEvent | a1
| ) |  |  |

Marble.ScreenGraphicsItem.GraphicsItemFlags flags | ( |  | self ) |

Returns the flags of the item.

QPointF position | ( |  | self ) |

Return the position of the float item

Positive x-coordinates are counted left-aligned from the left map border. Negative x-coordinates are counted right-aligned from the right map border.

Positive y-coordinates are counted top-aligned from the top map border. Negative y-coordinates are counted right-aligned from the bottom map border.

QPointF positivePosition | ( |  | self ) |

Return the positive position of the float item

All coordinates are counted positive and depend on the current viewport.

Positive x-coordinates are counted left-aligned from the left map border. Positive y-coordinates are counted top-aligned from the top map border.

setFlags | ( | self, |
|  | Marble.ScreenGraphicsItem.GraphicsItemFlags | flags
| ) |  |  |

Sets the flags to flags. All flags in flags will be enabled and all other flags will be disabled. By default all flags are disabled.

setPosition | ( | self, |
|  | QPointF | position
| ) |  |  |

Set the position of the float item

Parameters:

  | pos | Position

Positive x-coordinates are counted left-aligned from the left map border. Negative x-coordinates are counted right-aligned from the right map border.

Positive y-coordinates are counted top-aligned from the top map border. Negative y-coordinates are counted right-aligned from the bottom map border.

## Enumeration Documentation

GraphicsItemFlag

Enumerator: